NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::SteelSupport Features::ShipDesign::SteelSupport@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateSteelSupportBuilder Features::ShipCollection::CreateSteelSupportBuilder @endlink <br>
Default values. More...
Public Types | |
enum | CapOptions { CapOptionsNone, CapOptionsTwoSided, CapOptionsSymmetric } |
Does this feature have end caps, and if so what kind? More... | |
enum | CreationMethod { CreationMethodTwoPlanesandLines, CreationMethodSpecifyLine, CreationMethodSpecifyCsys } |
Method used to create the support feature. More... | |
Public Member Functions | |
NXOpen::Expression * | AngularDim () |
Returns the angular dimension used to rotate the support feature. | |
int | AttributeMaterial () |
Returns the attribute material Created in NX7.5.0. | |
int | AttributeName () |
Returns the name attribute value Created in NX7.5.0. | |
NXOpen::CoordinateSystem * | CoordSystem () |
Returns the coord system (only used with "SpecifyCsys" creation method) Created in NX7.5.0. | |
int | EndCapSize () |
Returns the end cap size. | |
NXOpen::Expression * | EndCapThickness () |
Returns the end cap thickness Created in NX7.5.0. | |
int | EndCapType () |
Returns the end cap type. | |
NXOpen::Expression * | EndOffset () |
Returns the offset used to determine where the support ends (used with "SpecifyLine" and "SpecifyCsys" creation methods) Created in NX7.5.0. | |
NXOpen::Plane * | EndPlane () |
Returns the end plane (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
std::vector< NXString > | GetAvailableAttributeMaterials () |
Returns the list of available material attributes. | |
std::vector< NXString > | GetAvailableAttributeNames () |
Returns the list of available name attributes. | |
std::vector< NXString > | GetAvailableCapTypes () |
The list of available start and end cap types. | |
std::vector< NXString > | GetAvailableEndCapSizes () |
The list of available end cap sizes. | |
std::vector< NXString > | GetAvailableStartCapSizes () |
The list of available start cap sizes. | |
std::vector< NXString > | GetAvailableSupportSizes () |
The list of available sizes. | |
std::vector< NXString > | GetAvailableSupportTypes () |
The list of available support types. | |
bool | KeepCoordSystem () |
Returns whether or not we should keep the selected csys on apply (only used with "SpecifyCsys" creation method) Created in NX7.5.0. | |
bool | KeepEndPlane () |
Returns whether or not we should keep the selected end plane on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
bool | KeepReverseEndOffset () |
Returns the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods) Created in NX7.5.0. | |
bool | KeepReverseLine1Offset () |
Returns the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
bool | KeepReverseLine2Offset () |
Returns the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
bool | KeepReverseStartOffset () |
Returns the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods) Created in NX7.5.0. | |
bool | KeepSelectGuideCurve () |
Returns whether or not we should keep the selected guide curve on apply (only used with "SpecifyLine" creation method) Created in NX7.5.0. | |
bool | KeepSelectLine1 () |
Returns whether or not we should keep the selected first line on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
bool | KeepSelectLine2 () |
Returns whether or not we should keep the selected second line on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
bool | KeepSelectOrientationLine () |
Returns whether or not we should keep the selected orientation line on apply (only used with "SpecifyLine" creation method) Created in NX7.5.0. | |
bool | KeepStartPlane () |
Returns whether or not we should keep the selected start plane on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
NXOpen::Expression * | Line1Offset () |
Returns the first line offset (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
NXOpen::Expression * | Line2Offset () |
Returns the second line offset (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
NXOpen::Features::ShipDesign::SteelSupportBuilder::CreationMethod | PlacementMethod () |
Returns the placement method used to create the feature Created in NX7.5.0. | |
bool | ReverseEndOffset () |
Returns the reverse end offset (used with "SpecifyLine" and "SpecifyCsys" creation methods) Created in NX7.5.0. | |
bool | ReverseLine1Offset () |
Returns the reverse first line offset (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
bool | ReverseLine2Offset () |
Returns the reverse second line offset (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
bool | ReverseStartOffset () |
Returns the reverse start offset (used with "SpecifyLine" and "SpecifyCsys" creation methods) Created in NX7.5.0. | |
NXOpen::SelectTaggedObject * | SelectGuideCurve () |
Returns the select guide curve (only used with "SpecifyLine" creation method) Created in NX7.5.0. | |
NXOpen::SelectTaggedObject * | SelectLine1 () |
Returns the first line (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
NXOpen::SelectTaggedObject * | SelectLine2 () |
Returns the second line (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
NXOpen::SelectTaggedObject * | SelectOrientationLine () |
Returns the orientation line (only used with "SpecifyLine" creation method) Created in NX7.5.0. | |
void | SetAttributeMaterial (int attributeMaterial) |
Sets the attribute material Created in NX7.5.0. | |
void | SetAttributeName (int attributeName) |
Sets the name attribute value Created in NX7.5.0. | |
void | SetCoordSystem (NXOpen::CoordinateSystem *coordSystem) |
Sets the coord system (only used with "SpecifyCsys" creation method) Created in NX7.5.0. | |
void | SetEndCapSize (int endCapSize) |
Sets the end cap size. | |
void | SetEndCapType (int endCapType) |
Sets the end cap type. | |
void | SetEndPlane (NXOpen::Plane *endPlane) |
Sets the end plane (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
void | SetKeepCoordSystem (bool keepCoordSystem) |
Sets whether or not we should keep the selected csys on apply (only used with "SpecifyCsys" creation method) Created in NX7.5.0. | |
void | SetKeepEndPlane (bool keepEndPlane) |
Sets whether or not we should keep the selected end plane on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
void | SetKeepReverseEndOffset (bool keepReverseEndOffset) |
Sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods) Created in NX7.5.0. | |
void | SetKeepReverseLine1Offset (bool keepReverseLine1Offset) |
Sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
void | SetKeepReverseLine2Offset (bool keepReverseLine2Offset) |
Sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
void | SetKeepReverseStartOffset (bool keepReverseStartOffset) |
Sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods) Created in NX7.5.0. | |
void | SetKeepSelectGuideCurve (bool keepSelectGuideCurve) |
Sets whether or not we should keep the selected guide curve on apply (only used with "SpecifyLine" creation method) Created in NX7.5.0. | |
void | SetKeepSelectLine1 (bool keepSelectLine1) |
Sets whether or not we should keep the selected first line on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
void | SetKeepSelectLine2 (bool keepSelectLine2) |
Sets whether or not we should keep the selected second line on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
void | SetKeepSelectOrientationLine (bool keepSelectOrientationLine) |
Sets whether or not we should keep the selected orientation line on apply (only used with "SpecifyLine" creation method) Created in NX7.5.0. | |
void | SetKeepStartPlane (bool keepStartPlane) |
Sets whether or not we should keep the selected start plane on apply (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
void | SetPlacementMethod (NXOpen::Features::ShipDesign::SteelSupportBuilder::CreationMethod placementMethod) |
Sets the placement method used to create the feature Created in NX7.5.0. | |
void | SetReverseEndOffset (bool reverseEndOffset) |
Sets the reverse end offset (used with "SpecifyLine" and "SpecifyCsys" creation methods) Created in NX7.5.0. | |
void | SetReverseLine1Offset (bool reverseLine1Offset) |
Sets the reverse first line offset (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
void | SetReverseLine2Offset (bool reverseLine2Offset) |
Sets the reverse second line offset (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
void | SetReverseStartOffset (bool reverseStartOffset) |
Sets the reverse start offset (used with "SpecifyLine" and "SpecifyCsys" creation methods) Created in NX7.5.0. | |
void | SetStartCapSize (int startCapSize) |
Sets the start cap size. | |
void | SetStartCapType (int startCapType) |
Sets the start cap type. | |
void | SetStartPlane (NXOpen::Plane *startPlane) |
Sets the start plane (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
void | SetSupportCapOptions (NXOpen::Features::ShipDesign::SteelSupportBuilder::CapOptions supportCapOptions) |
Sets the support cap options Created in NX7.5.0. | |
void | SetSupportSize (int supportSize) |
Sets the support size. | |
void | SetSupportType (int supportType) |
Sets the support type. | |
int | StartCapSize () |
Returns the start cap size. | |
NXOpen::Expression * | StartCapThickness () |
Returns the start cap thickness Created in NX7.5.0. | |
int | StartCapType () |
Returns the start cap type. | |
NXOpen::Expression * | StartOffset () |
Returns the offset used to determine where the support starts (used with "SpecifyLine" and "SpecifyCsys" creation methods) Created in NX7.5.0. | |
NXOpen::Plane * | StartPlane () |
Returns the start plane (only used with "TwoPlanesandLines" creation method) Created in NX7.5.0. | |
NXOpen::Features::ShipDesign::SteelSupportBuilder::CapOptions | SupportCapOptions () |
Returns the support cap options Created in NX7.5.0. | |
int | SupportSize () |
Returns the support size. | |
int | SupportType () |
Returns the support type. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::SteelSupport Features::ShipDesign::SteelSupport@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateSteelSupportBuilder Features::ShipCollection::CreateSteelSupportBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngularDim.Value |
0 |
EndCapThickness.Value |
0 (millimeters part), 0 (inches part) |
EndOffset.Value |
0 (millimeters part), 0 (inches part) |
Line1Offset.Value |
0 (millimeters part), 0 (inches part) |
Line2Offset.Value |
0 (millimeters part), 0 (inches part) |
PlacementMethod |
TwoPlanesandLines |
StartCapThickness.Value |
0 (millimeters part), 0 (inches part) |
StartOffset.Value |
0 (millimeters part), 0 (inches part) |
SupportCapOptions |
None |
Created in NX7.5.0.
NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::AngularDim | ( | ) |
Returns the angular dimension used to rotate the support feature.
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::SteelSupportBuilder::AttributeMaterial | ( | ) |
Returns the attribute material
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::SteelSupportBuilder::AttributeName | ( | ) |
Returns the name attribute value
Created in NX7.5.0.
License requirements : None
NXOpen::CoordinateSystem* NXOpen::Features::ShipDesign::SteelSupportBuilder::CoordSystem | ( | ) |
Returns the coord system (only used with "SpecifyCsys" creation method)
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::SteelSupportBuilder::EndCapSize | ( | ) |
Returns the end cap size.
Determines the cross section of the support cap.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::EndCapThickness | ( | ) |
Returns the end cap thickness
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::SteelSupportBuilder::EndCapType | ( | ) |
Returns the end cap type.
Determines the cross section of the support cap.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::EndOffset | ( | ) |
Returns the offset used to determine where the support ends (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::ShipDesign::SteelSupportBuilder::EndPlane | ( | ) |
Returns the end plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableAttributeMaterials | ( | ) |
Returns the list of available material attributes.
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableAttributeNames | ( | ) |
Returns the list of available name attributes.
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableCapTypes | ( | ) |
The list of available start and end cap types.
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableEndCapSizes | ( | ) |
The list of available end cap sizes.
The available end cap sizes will change everytime the end cap type changes.
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableStartCapSizes | ( | ) |
The list of available start cap sizes.
The available start cap sizes will change everytime the start cap type changes.
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableSupportSizes | ( | ) |
The list of available sizes.
The available sizes will change everytime the support type changes.
std::vector<NXString> NXOpen::Features::ShipDesign::SteelSupportBuilder::GetAvailableSupportTypes | ( | ) |
The list of available support types.
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepCoordSystem | ( | ) |
Returns whether or not we should keep the selected csys on apply (only used with "SpecifyCsys" creation method)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepEndPlane | ( | ) |
Returns whether or not we should keep the selected end plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepReverseEndOffset | ( | ) |
Returns the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepReverseLine1Offset | ( | ) |
Returns the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepReverseLine2Offset | ( | ) |
Returns the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepReverseStartOffset | ( | ) |
Returns the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepSelectGuideCurve | ( | ) |
Returns whether or not we should keep the selected guide curve on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepSelectLine1 | ( | ) |
Returns whether or not we should keep the selected first line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepSelectLine2 | ( | ) |
Returns whether or not we should keep the selected second line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepSelectOrientationLine | ( | ) |
Returns whether or not we should keep the selected orientation line on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::KeepStartPlane | ( | ) |
Returns whether or not we should keep the selected start plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::Line1Offset | ( | ) |
Returns the first line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::Line2Offset | ( | ) |
Returns the second line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
NXOpen::Features::ShipDesign::SteelSupportBuilder::CreationMethod NXOpen::Features::ShipDesign::SteelSupportBuilder::PlacementMethod | ( | ) |
Returns the placement method used to create the feature
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::ReverseEndOffset | ( | ) |
Returns the reverse end offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::ReverseLine1Offset | ( | ) |
Returns the reverse first line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::ReverseLine2Offset | ( | ) |
Returns the reverse second line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelSupportBuilder::ReverseStartOffset | ( | ) |
Returns the reverse start offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::SteelSupportBuilder::SelectGuideCurve | ( | ) |
Returns the select guide curve (only used with "SpecifyLine" creation method)
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::SteelSupportBuilder::SelectLine1 | ( | ) |
Returns the first line (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::SteelSupportBuilder::SelectLine2 | ( | ) |
Returns the second line (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::SteelSupportBuilder::SelectOrientationLine | ( | ) |
Returns the orientation line (only used with "SpecifyLine" creation method)
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetAttributeMaterial | ( | int | attributeMaterial | ) |
Sets the attribute material
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
attributeMaterial | attributematerial |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetAttributeName | ( | int | attributeName | ) |
Sets the name attribute value
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
attributeName | attributename |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetCoordSystem | ( | NXOpen::CoordinateSystem * | coordSystem | ) |
Sets the coord system (only used with "SpecifyCsys" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
coordSystem | coordsystem |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetEndCapSize | ( | int | endCapSize | ) |
Sets the end cap size.
Determines the cross section of the support cap.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
endCapSize | endcapsize |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetEndCapType | ( | int | endCapType | ) |
Sets the end cap type.
Determines the cross section of the support cap.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
endCapType | endcaptype |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetEndPlane | ( | NXOpen::Plane * | endPlane | ) |
Sets the end plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
endPlane | endplane |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepCoordSystem | ( | bool | keepCoordSystem | ) |
Sets whether or not we should keep the selected csys on apply (only used with "SpecifyCsys" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepCoordSystem | keepcoordsystem |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepEndPlane | ( | bool | keepEndPlane | ) |
Sets whether or not we should keep the selected end plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepEndPlane | keependplane |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepReverseEndOffset | ( | bool | keepReverseEndOffset | ) |
Sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepReverseEndOffset | keepreverseendoffset |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepReverseLine1Offset | ( | bool | keepReverseLine1Offset | ) |
Sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepReverseLine1Offset | keepreverseline1offset |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepReverseLine2Offset | ( | bool | keepReverseLine2Offset | ) |
Sets the keep previous reverse setting on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepReverseLine2Offset | keepreverseline2offset |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepReverseStartOffset | ( | bool | keepReverseStartOffset | ) |
Sets the keep previous reverse setting on apply (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepReverseStartOffset | keepreversestartoffset |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepSelectGuideCurve | ( | bool | keepSelectGuideCurve | ) |
Sets whether or not we should keep the selected guide curve on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectGuideCurve | keepselectguidecurve |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepSelectLine1 | ( | bool | keepSelectLine1 | ) |
Sets whether or not we should keep the selected first line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectLine1 | keepselectline1 |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepSelectLine2 | ( | bool | keepSelectLine2 | ) |
Sets whether or not we should keep the selected second line on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectLine2 | keepselectline2 |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepSelectOrientationLine | ( | bool | keepSelectOrientationLine | ) |
Sets whether or not we should keep the selected orientation line on apply (only used with "SpecifyLine" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectOrientationLine | keepselectorientationline |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetKeepStartPlane | ( | bool | keepStartPlane | ) |
Sets whether or not we should keep the selected start plane on apply (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepStartPlane | keepstartplane |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetPlacementMethod | ( | NXOpen::Features::ShipDesign::SteelSupportBuilder::CreationMethod | placementMethod | ) |
Sets the placement method used to create the feature
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
placementMethod | placementmethod |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetReverseEndOffset | ( | bool | reverseEndOffset | ) |
Sets the reverse end offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
reverseEndOffset | reverseendoffset |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetReverseLine1Offset | ( | bool | reverseLine1Offset | ) |
Sets the reverse first line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
reverseLine1Offset | reverseline1offset |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetReverseLine2Offset | ( | bool | reverseLine2Offset | ) |
Sets the reverse second line offset (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
reverseLine2Offset | reverseline2offset |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetReverseStartOffset | ( | bool | reverseStartOffset | ) |
Sets the reverse start offset (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
reverseStartOffset | reversestartoffset |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetStartCapSize | ( | int | startCapSize | ) |
Sets the start cap size.
Determines the cross section of the support cap.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
startCapSize | startcapsize |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetStartCapType | ( | int | startCapType | ) |
Sets the start cap type.
Determines the cross section of the support cap.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
startCapType | startcaptype |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetStartPlane | ( | NXOpen::Plane * | startPlane | ) |
Sets the start plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
startPlane | startplane |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetSupportCapOptions | ( | NXOpen::Features::ShipDesign::SteelSupportBuilder::CapOptions | supportCapOptions | ) |
Sets the support cap options
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
supportCapOptions | supportcapoptions |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetSupportSize | ( | int | supportSize | ) |
Sets the support size.
Determines the cross section of the support.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
supportSize | supportsize |
void NXOpen::Features::ShipDesign::SteelSupportBuilder::SetSupportType | ( | int | supportType | ) |
Sets the support type.
Determines the cross section of the support.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
supportType | supporttype |
int NXOpen::Features::ShipDesign::SteelSupportBuilder::StartCapSize | ( | ) |
Returns the start cap size.
Determines the cross section of the support cap.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::StartCapThickness | ( | ) |
Returns the start cap thickness
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::SteelSupportBuilder::StartCapType | ( | ) |
Returns the start cap type.
Determines the cross section of the support cap.
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::SteelSupportBuilder::StartOffset | ( | ) |
Returns the offset used to determine where the support starts (used with "SpecifyLine" and "SpecifyCsys" creation methods)
Created in NX7.5.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::ShipDesign::SteelSupportBuilder::StartPlane | ( | ) |
Returns the start plane (only used with "TwoPlanesandLines" creation method)
Created in NX7.5.0.
License requirements : None
NXOpen::Features::ShipDesign::SteelSupportBuilder::CapOptions NXOpen::Features::ShipDesign::SteelSupportBuilder::SupportCapOptions | ( | ) |
Returns the support cap options
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::SteelSupportBuilder::SupportSize | ( | ) |
Returns the support size.
Determines the cross section of the support.
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::SteelSupportBuilder::SupportType | ( | ) |
Returns the support type.
Determines the cross section of the support.
Created in NX7.5.0.
License requirements : None